
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  <adobriyan@mail.ru>

Imagine you have a code similar to

  struct foo {
  	union {
  		struct tcphdr   *th;
  	} h;
  	union {
  		struct iphdr    *iph;
  	} nh;
  };

kernel-doc in it's current state will happily eat everything from first '{' to
last '}' and nobody will see parameter 'h' in documentation (look at
include/linux/skbuff.h:struct sk_buff for real world example).

So, fix the greedy regexp.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/kernel-doc |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN scripts/kernel-doc~trivial-scripts_kernel-doc-ignoring-embedded-structs-shouldnt scripts/kernel-doc
--- 25/scripts/kernel-doc~trivial-scripts_kernel-doc-ignoring-embedded-structs-shouldnt	Wed Jul  7 13:58:37 2004
+++ 25-akpm/scripts/kernel-doc	Wed Jul  7 13:58:37 2004
@@ -1206,7 +1206,7 @@ sub dump_struct($$) {
         my $members = $3;
 
 	# ignore embedded structs or unions
-	$members =~ s/{.*}//g;
+	$members =~ s/{.*?}//g;
 
 	create_parameterlist($members, ';', $file);
 
_
